import dynamix_sdk.base as _base


class CloudapiLbFrontendDeleteResultBool(_base.BaseAPIResultBool):
    pass


class CloudapiLbFrontendDeleteProtocol(_base.BasePostAPIFunctionProtocol):
    def frontend_delete(
        self,
        *,
        lb_id: int,
        frontend_name: str,
    ) -> CloudapiLbFrontendDeleteResultBool:
        ...
